#
# spec file for package perl-Data-Section-Simple
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define cpan_name Data-Section-Simple
Name:           perl-Data-Section-Simple
Version:        0.70.0
Release:        1.2
# 0.07 -> normalize -> 0.70.0
%define cpan_version 0.07
License:        Artistic-1.0 OR GPL-1.0-or-later
Summary:        Read data from __DATA__
URL:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/%{cpan_name}-%{cpan_version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Requires)
Provides:       perl(Data::Section::Simple) = %{version}
%undefine       __perllib_provides
%{perl_requires}

%description
Data::Section::Simple is a simple module to extract data from '__DATA__'
section of the file.

%prep
%autosetup  -n %{cpan_name}-%{cpan_version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%doc Changes README
%license LICENSE

%changelog
* Mon Apr 14 2025 Tina Müller <tina.mueller@suse.com>
- Normalize CPAN version
  See https://github.com/openSUSE/cpanspec/issues/47 for details
* Mon Sep 15 2014 coolo@suse.com
- updated to 0.07
  - revert the change in 0.06
  - Fix race condition in a forked environment (hirose31) #4
* Tue Jul 16 2013 coolo@suse.com
- updated to 0.05
  - use MakeMaker
  - Do not throw exceptions when there's no template (tokuhirom) #2
* Fri Mar  2 2012 ro@suse.de
- fix build on sle11
* Mon Dec 19 2011 coolo@suse.de
- initial package 0.03
  * created by cpanspec 1.78.06
